%global debug_package %{nil}

Summary: Relax-and-Recover is a Linux disaster recovery and system migration tool
Name: rear
Version: 2.6
Release: 6%{?dist}
URL: http://relax-and-recover.org/
License: GPLv3

Source0: https://sourceforge.net/projects/rear/files/rear/%{version}/rear-%{version}.tar.gz
Source1: rear.cron
Source2: rear.service
Source3: rear.timer

Patch0001: 0001-CVE-2024-23301-Make-initrd-accessible-only-by-root.patch
Patch3000: 0001-skip-kernel-buildin-modules.patch

BuildRequires: make asciidoctor

Requires: binutils ethtool gzip iputils parted
Requires: xorriso util-linux
Requires: tar openssl gawk attr bc iproute
%ifarch x86_64
Requires: syslinux
%endif

ExclusiveArch: x86_64 ppc64le loongarch64

%description
Relax-and-Recover is the leading Open Source disaster recovery and system
migration solution. It comprises of a modular
frame-work and ready-to-go workflows for many common situations to produce
a bootable image and restore from backup using this image. As a benefit,
it allows to restore to different hardware and can therefore be used as
a migration tool as well.

Currently Relax-and-Recover supports various boot media (incl. ISO, PXE,
OBDR tape, USB or eSATA storage), a variety of network protocols (incl.
sftp, ftp, http, nfs, cifs) as well as a multitude of backup strategies
(incl.  IBM TSM, MircroFocus Data Protector, Symantec NetBackup, EMC NetWorker,
Bacula, Bareos, BORG, Duplicity, rsync).

Relax-and-Recover was designed to be easy to set up, requires no maintenance
and is there to assist when disaster strikes. Its setup-and-forget nature
removes any excuse for not having a disaster recovery solution implemented.

Professional services and support are available.

%prep
%autosetup -p1

sed -E -e "s:([\"' ])/lib:\1/usr/lib:g" \
    -i usr/share/rear/prep/GNU/Linux/*include*.sh

sed -e 's:/lib/:/usr/lib/:g' \
    -e 's:/lib\*/:/usr/lib\*/:g' \
    -e 's:/usr/usr/lib:/usr/lib:g' \
    -i 'usr/share/rear/conf/GNU/Linux.conf'

%build

%install
%{make_install}
install -p -d %{buildroot}%{_docdir}/%{name}/
install -m 0644 %{SOURCE1} %{buildroot}%{_docdir}/%{name}/
install -m 0644 %{SOURCE2} %{buildroot}%{_docdir}/%{name}/
install -m 0644 %{SOURCE3} %{buildroot}%{_docdir}/%{name}/

%files
%license COPYING
%doc MAINTAINERS README.adoc doc/*.txt
%{_sbindir}/rear
%{_datadir}/rear/
%config(noreplace) %{_sysconfdir}/rear/
%{_sharedstatedir}/rear/
%{_docdir}/%{name}/rear.*
%{_mandir}/man8/rear.8*

%changelog
* Wed Apr 10 2024 Pengda Dou <doupengda@loongson.cn> - 2.6-6
- add support for loongarch64

* Fri Jan 19 2024 luffyluo <luffyluo@tencent.com> - 2.6-5
- fix CVE-2024-23301

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 17 2023 cunshunxia <cunshunxia@tencent.com> - 2.6-1
- initial build
